Bug 7342 - Установка на SATA диск при наличии картридера
: Установка на SATA диск при наличии картридера
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-lilo)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-07-11 12:04 by
Modified: 2008-11-27 14:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-11 12:04:28
При установке на SATA HDD на машине с подключенным USB кардридером Transcend
HDD во время установки виден как sdd (sda-sdc назначены кардридеру).  
Установка проходит успешно, но загрузиться невозможно, т.к. после 
перезагрузки HDD уже виден как sda.  При отrлюченном кардридере установка 
происходит нормально на sda. 


> pciscan -v -c001

Recommended driver     Description
------------------     -----------
sata_via               VIA Technologies, Inc. VIA VT6420 SATA RAID Controller
[RAID bus controller]
                       1106:3149:1043:80ed  drivers: 24:sata_via sata_via 
class:001:04:00
                       slot: 0000:00:0f.0  hwid: 08F7DBD50F85CBB8

via82cxxx              VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE [IDE interface storage
controller]
                       1106:0571:1043:80ed  drivers: 24:via82cxxx via82cxxx 
class:001:01:8a
                       slot: 0000:00:0f.1  hwid: A4A3826F6628E5A8
------- Comment #1 From 2007-09-25 13:25:19 -------
Это ещё актуально для 4.0?
------- Comment #2 From 2007-09-25 13:31:32 -------
якобы чинилось, но похоже некому проверить.
------- Comment #3 From 2008-01-03 18:45:44 -------
(In reply to comment #2)
> якобы чинилось, но похоже некому проверить.

Это актуально! Проверено на rescue-20071225. При загрузке кардридер занимает
первые устройства, а SATA вслед за ним. В результате восстановить загрузчик
гораздо сложнее.
------- Comment #4 From 2008-01-03 20:29:34 -------
Можете показать dmesg с такого rescue?
------- Comment #5 From 2008-05-20 18:14:39 -------
не понимаю, какое отношение это имеет к propagator.
------- Comment #6 From 2008-05-20 18:15:44 -------
прошу проверить поведение alterator-lilo в сходной ситуации
и, вероятно, закрыть как fixed :)
------- Comment #7 From 2008-05-21 12:48:07 -------
to slazav
------- Comment #8 From 2008-05-21 15:08:46 -------
у меня sata-диски всегда sda, sdb, а card-reader встает после...
------- Comment #9 From 2008-09-08 15:53:16 -------
(In reply to comment #8)
> у меня sata-диски всегда sda, sdb, а card-reader встает после...
Тыкс, дотащил кардридер до стенда, надо будет проверить...
------- Comment #10 From 2008-11-27 14:55:23 -------
С новым alterator-lilo (в 4.1 и в Сизифе) должно работать правильно.